# Author renyupeng
# coding=utf-8
# @Time    : 2022/3/24 9:53 上午
# @Site    : 
# @File    : AccountHourlySumToDayReport.py
# @Software: PyCharm
# @contact: renyupeng@c-top.com.cn
# @Tel 1501435553
import datetime
import logging

from Apietl.conn.TidbConn import TidbConn


class AccountHourlySumToDayReport:
    def __init__(self):
        self.conn = TidbConn.get_connection()
        self.stat_date = (datetime.date.today() + datetime.timedelta(0)).strftime("%Y%m%d")

    def hourly_sum_report(self):
        try:
            sql = """
            SET sql_mode = 'STRICT_TRANS_TABLES,NO_ZERO_IN_DATE,NO_ZERO_DATE,NO_AUTO_CREATE_USER,NO_ENGINE_SUBSTITUTION';  
            replace into application.kuaishou_account_report_daily_dw
SELECT
report.account_id,
report.stat_date  ,
bei.project_id,
bei.product_id,
bei.advertiser_id,
bei.company_id,
bei.account_name,
bei.project_name,
bei.advertiser_name,
bei.company_name,
bei.sale_id,
bei.user_id,
bei.org_code,
report.charge,
report.`show`,
report.photo_click,
report.aclick,
report.bclick,
report.photo_click_ratio,
report.play_3s_ratio,
report.action_ratio,
report.impression_1k_cost,
report.photo_click_cost,
report.action_cost,
report.`share`,
report.`comment`,
report.`like`,
report.follow,
report.cancel_follow,
report.report,
report.block,
report.negative,
report.submit,
report.download_started,
report.download_completed,
report.activation,
report.event_pay_first_day,
report.event_pay_purchase_amount_first_day,
report.event_pay_first_day_roi,
report.event_pay,
report.event_pay_purchase_amount,
report.event_pay_roi,
report.event_register,
report.event_register_cost,
report.event_register_ratio,
report.event_jin_jian_app,
report.event_jin_jian_app_cost,
report.event_credit_grant_app,
report.event_credit_grant_app_cost,
report.event_credit_grant_app_ratio,
report.event_order_paid,
report.event_order_paid_purchase_amount,
report.event_order_paid_cost,
report.event_next_day_stay,
report.event_next_day_stay_cost,
report.event_next_day_stay_ratio,
report.form_count,
report.form_cost,
report.form_action_ratio,
report.event_jin_jian_landing_page,
report.event_jin_jian_landing_page_cost,
report.event_credit_grant_landing_page,
report.event_credit_grant_landing_page_cost,
report.event_credit_grant_landing_page_ratio,
report.event_valid_clues,
report.event_valid_clues_cost,
report.event_add_wechat,
report.event_add_wechat_cost,
report.event_add_wechat_ratio,
report.event_get_through,
report.event_get_through_cost,
report.event_get_through_ratio,
report.event_app_invoked,
report.event_app_invoked_cost,
report.event_app_invoked_ratio,
report.event_credit_grant_landing_ratio,
report.play_5s_ratio,
report.play_end_ratio,
report.event_new_user_pay,
report.event_new_user_pay_cost,
report.event_new_user_pay_ratio,
report.click_1k_cost,
report.ad_product_cnt,
report.event_goods_view,
report.merchant_reco_fans,
report.event_order_amount_roi,
report.event_goods_view_cost,
report.merchant_reco_fans_cost,
report.event_button_click,
report.event_button_click_cost,
report.event_button_click_ratio,
report.event_order_paid_roi,
report.event_new_user_jinjian_app,
report.event_new_user_jinjian_app_cost,
report.event_new_user_jinjian_app_roi,
report.event_new_user_credit_grant_app,
report.event_new_user_credit_grant_app_cost,
report.event_new_user_credit_grant_app_roi,
report.event_new_user_jinjian_page,
report.event_new_user_jinjian_page_cost,
report.event_new_user_jinjian_page_roi,
report.event_new_user_credit_grant_page,
report.event_new_user_credit_grant_page_cost,
report.event_new_user_credit_grant_page_roi,
report.event_appoint_form,
report.event_appoint_form_cost,
report.event_appoint_form_ratio,
report.event_appoint_jump_click,
report.event_appoint_jump_click_cost,
report.event_appoint_jump_click_ratio,
report.union_event_pay_purchase_amount_7d,
report.union_event_pay_purchase_amount_7d_roi,
''  as placement_type,
'' as  ad_scene,
report.event_order_successed,
report.ad_photo_played_10s_ratio,
report.key_action_cost,
report.event_add_shopping_cart_cost,
report.event_ad_watch_times_ratio,
report.event_outbound_call_cost,
report.event_outbound_call,
report.action_new_ratio,
report.event_watch_app_ad,
report.event_multi_conversion_cost,
report.event_phone_card_activate,
report.ad_photo_played_75percent_ratio,
report.key_action_ratio,
report.event_ad_watch_times_cost,
report.event_add_shopping_cart,
report.key_action,
report.event_multi_conversion,
report.event_wechat_connected,
report.event_dsp_gift_form,
report.event_intention_confirmed,
report.event_phone_get_through,
report.event_multi_conversion_ratio,
report.event_measurement_house,
report.ad_photo_played_2s_ratio,
report.event_outbound_call_ratio,
report.event_ad_watch_times,
report.event_pay_purchase_amount_one_day_by_conversion,
 report.ad_photo_played_10s
,report.ad_photo_played_2s
,report.ad_photo_played_75percent
,report.approx_pay_cost
,report.approx_pay_count
,report.approx_pay_ratio
,report.cancel_like
,report.click_conversion_ratio
,report.conversion_cost
,report.conversion_cost_by_impression_7d
,report.conversion_num
,report.conversion_num_by_impression_7d
,report.conversion_num_cost
,report.conversion_ratio
,report.conversion_ratio_by_impression_7d
,report.deep_conversion_cost
,report.deep_conversion_cost_by_impression_7d
,report.deep_conversion_num
,report.deep_conversion_num_by_impression_7d
,report.deep_conversion_ratio
,report.deep_conversion_ratio_by_impression_7d
,report.download_completed_cost
,report.download_completed_ratio
,report.download_conversion_ratio
,report.download_installed
,report.download_started_cost
,report.download_started_ratio
,report.event_24h_stay
,report.event_24h_stay_by_conversion
,report.event_24h_stay_by_conversion_cost
,report.event_24h_stay_by_conversion_ratio
,report.event_24h_stay_cost
,report.event_24h_stay_ratio
,report.event_ad_watch_10_times
,report.event_ad_watch_10_times_cost
,report.event_ad_watch_10_times_ratio
,report.event_ad_watch_20_times
,report.event_ad_watch_20_times_cost
,report.event_ad_watch_20_times_ratio
,report.event_ad_watch_5_times
,report.event_ad_watch_5_times_cost
,report.event_ad_watch_5_times_ratio
,report.event_audition
,report.event_consultation_valid_retained
,report.event_consultation_valid_retained_cost
,report.event_consultation_valid_retained_ratio
,report.event_conversion_click_cost
,report.event_conversion_click_ratio
,report.event_credit_grant_first_day_app
,report.event_credit_grant_first_day_app_cost
,report.event_credit_grant_first_day_app_ratio
,report.event_credit_grant_first_day_landing_page
,report.event_credit_grant_first_day_landing_page_cost
,report.event_credit_grant_first_day_landing_page_ratio
,report.event_making_calls
,report.event_making_calls_cost
,report.event_making_calls_ratio
,report.event_order_submit
,report.event_pay_purchase_amount_one_day
,report.event_pay_purchase_amount_one_day_by_conversion_roi
,report.event_pay_purchase_amount_one_day_roi
,report.event_pay_purchase_amount_three_day_by_conversion
,report.event_pay_purchase_amount_three_day_by_conversion_roi
,report.event_pay_purchase_amount_week_by_conversion
,report.event_pay_purchase_amount_week_by_conversion_roi
,report.event_pay_week_by_conversion
,report.event_pay_week_by_conversion_cost
,report.event_pay_weighted_purchase_amount
,report.event_pay_weighted_purchase_amount_first_day
,report.event_pre_component_consultation_valid_retained
,report.event_three_day_stay_by_conversion
,report.event_three_day_stay_by_conversion_cost
,report.event_three_day_stay_by_conversion_ratio
,report.event_wechat_qr_code_link_click
,report.event_week_stay_by_conversion
,report.event_week_stay_by_conversion_cost
,report.event_week_stay_by_conversion_ratio
,report.live_event_goods_view
,report.live_played_3s
,report.played_end
,report.played_five_seconds
,report.played_three_seconds
,report.event_next_day_stay_new
,report.event_next_day_stay_new_cost
,report.event_next_day_stay_new_ratio
,report.ad_show
,report.event_credit_card_recheck
,report.event_credit_card_recheck_first_day
,report.event_no_intention
,report.event_multi_pay_seven_day_by_conversion
,report.event_multi_pay_seven_day_by_conversion_cost
,report.mcb_left_time_perf_cpa_bid
,report.mcb_left_time_perf_roi_ratio
,report.mcb_all_day_perf_cpa_bid
,report.mcb_all_day_perf_roi_ratio
,report.live_room_avg_played_seconds
,report.ad_live_share
,report.ad_live_comment
,report.live_played_started
,report.live_played_started_cost
,report.ad_live_follow
,report.ad_live_follow_cost
,report.simple_live_played_started
,report.standard_live_played_started
,report.conversion_component_impression
,report.conversion_component_click
,report.conversion_component_rate
,report.ad_landing_page_impression
,report.ad_app_download_half_impression
from 
(select
        stat_date,
advertiser_id account_id,
sum(charge) charge,
sum(`show`) `show`,
sum(photo_click)photo_click,
sum(aclick)  aclick,
sum(bclick) bclick,
ifnull(round(sum(photo_click)/sum(`show`),3),0) photo_click_ratio,
ifnull(round(sum(aclick*play_3s_ratio)/sum(aclick),3),0)  play_3s_ratio,
ifnull(round(sum(bclick)/sum(aclick)*100,3),0) action_ratio,
ifnull(round(sum(impression_1k_cost),3),0) impression_1k_cost,
ifnull(round(sum(charge)/sum(photo_click),3),0) photo_click_cost,
ifnull(round(sum(charge)/sum(bclick),3),0) action_cost,
sum(`share`) `share`,
sum(`comment`) `comment`,
sum(`like`)  `like`,
sum(follow) follow,
sum(cancel_follow)  cancel_follow,
sum(report) report,
sum(block) block,
sum(negative) negative,
sum(submit) submit,
sum(download_started) download_started,
sum(download_completed) download_completed,
sum(activation) activation,
sum(event_pay_first_day) event_pay_first_day,
sum(event_pay_purchase_amount_first_day) event_pay_purchase_amount_first_day,
ifnull(round(sum(event_pay_purchase_amount_first_day)/sum(charge)*100,3),0) event_pay_first_day_roi ,
sum(event_pay) event_pay,
sum(event_pay_purchase_amount) event_pay_purchase_amount,
ifnull(round(sum(event_pay_purchase_amount)/sum(charge)*100,3),0) event_pay_roi,
sum(event_register) event_register,
ifnull(round(sum(charge)/sum(event_register),3),0) event_register_cost,
ifnull(round(sum(event_register)/sum(activation)*100,3),0) event_register_ratio,
sum(event_jin_jian_app) event_jin_jian_app,
ifnull(round(sum(charge)/sum(event_jin_jian_app),3),0) event_jin_jian_app_cost,
sum(event_credit_grant_app) event_credit_grant_app,
ifnull(round(sum(charge)/sum(event_credit_grant_app),3),0) event_credit_grant_app_cost ,
ifnull(round(sum(event_credit_grant_app_ratio)*100,3),0) event_credit_grant_app_ratio,
sum(event_order_paid) event_order_paid,
sum(event_order_paid_purchase_amount) event_order_paid_purchase_amount,
ifnull(round(sum(event_order_paid_purchase_amount)/sum(event_order_paid) ,3),0) event_order_paid_cost,
sum(event_next_day_stay) event_next_day_stay,
ifnull(round(sum(charge)/sum(event_next_day_stay),3),0) event_next_day_stay_cost,
ifnull(round(sum(event_next_day_stay)/sum(activation)*100,3),0) event_next_day_stay_ratio,
sum(form_count) form_count,
ifnull(round(sum(charge)/sum(form_count),3),0) form_cost,
ifnull(round(sum(form_count)/sum(`bclick`)*100,3),0) form_action_ratio,
sum(event_jin_jian_landing_page) event_jin_jian_landing_page,
ifnull(round(sum(charge)/sum(event_jin_jian_landing_page),3),0) event_jin_jian_landing_page_cost,
sum(event_credit_grant_landing_page) event_credit_grant_landing_page,
ifnull(round(sum(charge)/sum(event_credit_grant_landing_page),3),0) event_credit_grant_landing_page_cost,
ifnull(round(sum(event_credit_grant_landing_page)*100,3),0) event_credit_grant_landing_page_ratio,
sum(event_valid_clues) event_valid_clues,
ifnull(round(sum(charge)/sum(event_valid_clues),3),0) event_valid_clues_cost,
sum(event_add_wechat) event_add_wechat,
ifnull(round(sum(charge)/sum(event_add_wechat),3),0) event_add_wechat_cost,
ifnull(round(sum(event_add_wechat)/sum(bclick)*100,3),0) event_add_wechat_ratio,
sum(event_get_through) event_get_through,
ifnull(round(sum(charge)/sum(event_get_through),3),0) event_get_through_cost,
ifnull(round(sum(event_get_through)/sum(bclick)*100,3),0) event_get_through_ratio,
sum(event_app_invoked) event_app_invoked,
ifnull(round(sum(charge)/sum(event_app_invoked),3),0) event_app_invoked_cost ,
ifnull(round(sum(event_app_invoked)/sum(bclick)*100,3),0) event_app_invoked_ratio,
ifnull(round(sum(event_credit_grant_landing_ratio)*100,3),0) event_credit_grant_landing_ratio,
ifnull(round(sum(play_5s_ratio)*100,3),0) play_5s_ratio,
ifnull(round(sum(play_end_ratio)*100,3),0) play_end_ratio,
sum(event_new_user_pay) event_new_user_pay,
ifnull(round(sum(charge)/sum(event_new_user_pay),3),0) event_new_user_pay_cost,
ifnull(round(sum(event_new_user_pay)/sum(activation)*100,3),0) event_new_user_pay_ratio,
ifnull(round(sum(click_1k_cost)*100,3),0) click_1k_cost,
sum(ad_product_cnt) ad_product_cnt,
sum(event_goods_view) event_goods_view,
sum(merchant_reco_fans) merchant_reco_fans,
ifnull(round(sum(event_order_amount_roi)*100,3),0) event_order_amount_roi,
ifnull(round(sum(charge)/sum(event_goods_view) ,3),0) event_goods_view_cost,
ifnull(round(sum(charge)/sum(merchant_reco_fans),3),0) merchant_reco_fans_cost,
sum(event_button_click) event_button_click,
ifnull(round(sum(charge)/sum(event_button_click),3),0) event_button_click_cost,
ifnull(round(sum(event_button_click)/sum(bclick)*100,3),0) event_button_click_ratio ,
ifnull(round(sum(event_order_paid_roi)*100,3),0) event_order_paid_roi,
sum(event_new_user_jinjian_app) event_new_user_jinjian_app,
ifnull(round(sum(charge)/sum(event_new_user_jinjian_app),3),0) event_new_user_jinjian_app_cost,
ifnull(round(sum(event_new_user_jinjian_app)/sum(form_count)*100,3),0) event_new_user_jinjian_app_roi ,
sum(event_new_user_credit_grant_app) event_new_user_credit_grant_app,
ifnull(round(sum(charge)/sum(event_new_user_credit_grant_app),3),0)  event_new_user_credit_grant_app_cost,
ifnull(round(sum(event_new_user_credit_grant_app)/sum(form_count)*100,3),0) event_new_user_credit_grant_app_roi,
sum(event_new_user_jinjian_page) event_new_user_jinjian_page,
ifnull(round(sum(charge)/sum(event_new_user_jinjian_page),3),0) event_new_user_jinjian_page_cost,
ifnull(round(sum(event_new_user_jinjian_page)/sum(form_count)*100,3),0) event_new_user_jinjian_page_roi ,
sum(event_new_user_credit_grant_page) event_new_user_credit_grant_page,
ifnull(round(sum(charge)/sum(event_new_user_credit_grant_page) ,3),0) event_new_user_credit_grant_page_cost,
ifnull(round(sum(event_new_user_credit_grant_page)/sum(form_count)*100,3),0) event_new_user_credit_grant_page_roi,
sum(event_appoint_form)  event_appoint_form,
ifnull(round(sum(charge)/sum(event_appoint_form),3),0) event_appoint_form_cost,
ifnull(round(sum(event_appoint_form)/sum(form_count)*100,3),0) event_appoint_form_ratio,
sum(event_appoint_jump_click) event_appoint_jump_click,
ifnull(round(sum(charge)/sum(event_appoint_jump_click),3),0)  event_appoint_jump_click_cost,
ifnull(round(sum(event_appoint_jump_click_cost)/sum(form_count)*100,3),0) event_appoint_jump_click_ratio,
sum(union_event_pay_purchase_amount_7d) union_event_pay_purchase_amount_7d,
ifnull(round(sum(union_event_pay_purchase_amount_7d_roi)*100,3),0) union_event_pay_purchase_amount_7d_roi,
sum(event_order_successed) event_order_successed,
ifnull(round(sum(ad_photo_played_10s_ratio)*100,3),0) ad_photo_played_10s_ratio,
ifnull(round(sum(charge)/sum(key_action),3),0) key_action_cost,
ifnull(round(sum(charge)/sum(event_add_shopping_cart) ,3),0) event_add_shopping_cart_cost ,
ifnull(round(sum(event_ad_watch_times)/sum(bclick)*100,3),0) event_ad_watch_times_ratio,
ifnull(round(sum(charge)/sum(event_outbound_call),3),0) event_outbound_call_cost,
sum(event_outbound_call) event_outbound_call,
ifnull(round(sum(action_new_ratio)*100,3),0) action_new_ratio,
sum(event_watch_app_ad) event_watch_app_ad,
ifnull(round(sum(charge)/sum(event_multi_conversion) ,3),0) event_multi_conversion_cost,
sum(event_phone_card_activate) event_phone_card_activate,
ifnull(round(sum(ad_photo_played_75percent_ratio)*100,3),0) ad_photo_played_75percent_ratio,
ifnull(round(sum(key_action)/sum(activation)*100,3),0) key_action_ratio ,
ifnull(round(sum(charge)/sum(event_ad_watch_times),3),0) event_ad_watch_times_cost,
sum(event_add_shopping_cart) event_add_shopping_cart,
sum(key_action) key_action,
sum(event_multi_conversion) event_multi_conversion,
sum(event_wechat_connected) event_wechat_connected,
sum(event_dsp_gift_form) event_dsp_gift_form,
sum(event_intention_confirmed) event_intention_confirmed,
sum(event_phone_get_through) event_phone_get_through,
ifnull(round(sum(event_multi_conversion)/sum(activation)*100,3),0)  event_multi_conversion_ratio,
sum(event_measurement_house) event_measurement_house,
ifnull(round(sum(ad_photo_played_2s_ratio)*100,3),0) ad_photo_played_2s_ratio,
ifnull(round(sum(event_outbound_call_ratio)/sum(activation)*100,3),0) event_outbound_call_ratio,
sum(event_ad_watch_times) event_ad_watch_times,
sum(event_pay_purchase_amount_one_day_by_conversion) as event_pay_purchase_amount_one_day_by_conversion
,sum(ad_photo_played_10s) as           ad_photo_played_10s
,sum(ad_photo_played_2s) as           ad_photo_played_2s
,sum(ad_photo_played_75percent) as           ad_photo_played_75percent
,sum(approx_pay_cost) as           approx_pay_cost
,sum(approx_pay_count) as           approx_pay_count
,sum(approx_pay_ratio) as           approx_pay_ratio
,sum(cancel_like) as           cancel_like
,sum(click_conversion_ratio) as           click_conversion_ratio
,sum(conversion_cost) as           conversion_cost
,sum(conversion_cost_by_impression_7d) as           conversion_cost_by_impression_7d
,sum(conversion_num) as           conversion_num
,sum(conversion_num_by_impression_7d) as           conversion_num_by_impression_7d
,sum(conversion_num_cost) as           conversion_num_cost
,sum(conversion_ratio) as           conversion_ratio
,sum(conversion_ratio_by_impression_7d) as           conversion_ratio_by_impression_7d
,sum(deep_conversion_cost) as           deep_conversion_cost
,sum(deep_conversion_cost_by_impression_7d) as           deep_conversion_cost_by_impression_7d
,sum(deep_conversion_num) as           deep_conversion_num
,sum(deep_conversion_num_by_impression_7d) as           deep_conversion_num_by_impression_7d
,sum(deep_conversion_ratio) as           deep_conversion_ratio
,sum(deep_conversion_ratio_by_impression_7d) as           deep_conversion_ratio_by_impression_7d
,sum(download_completed_cost) as           download_completed_cost
,sum(download_completed_ratio) as           download_completed_ratio
,sum(download_conversion_ratio) as           download_conversion_ratio
,sum(download_installed) as           download_installed
,sum(download_started_cost) as           download_started_cost
,sum(download_started_ratio) as           download_started_ratio
,sum(event_24h_stay) as           event_24h_stay
,sum(event_24h_stay_by_conversion) as           event_24h_stay_by_conversion
,sum(event_24h_stay_by_conversion_cost) as           event_24h_stay_by_conversion_cost
,sum(event_24h_stay_by_conversion_ratio) as           event_24h_stay_by_conversion_ratio
,sum(event_24h_stay_cost) as           event_24h_stay_cost
,sum(event_24h_stay_ratio) as           event_24h_stay_ratio
,sum(event_ad_watch_10_times) as           event_ad_watch_10_times
,sum(event_ad_watch_10_times_cost) as           event_ad_watch_10_times_cost
,sum(event_ad_watch_10_times_ratio) as           event_ad_watch_10_times_ratio
,sum(event_ad_watch_20_times) as           event_ad_watch_20_times
,sum(event_ad_watch_20_times_cost) as           event_ad_watch_20_times_cost
,sum(event_ad_watch_20_times_ratio) as           event_ad_watch_20_times_ratio
,sum(event_ad_watch_5_times) as           event_ad_watch_5_times
,sum(event_ad_watch_5_times_cost) as           event_ad_watch_5_times_cost
,sum(event_ad_watch_5_times_ratio) as           event_ad_watch_5_times_ratio
,sum(event_audition) as           event_audition
,sum(event_consultation_valid_retained) as           event_consultation_valid_retained
,sum(event_consultation_valid_retained_cost) as           event_consultation_valid_retained_cost
,sum(event_consultation_valid_retained_ratio) as           event_consultation_valid_retained_ratio
,sum(event_conversion_click_cost) as           event_conversion_click_cost
,sum(event_conversion_click_ratio) as           event_conversion_click_ratio
,sum(event_credit_grant_first_day_app) as           event_credit_grant_first_day_app
,sum(event_credit_grant_first_day_app_cost) as           event_credit_grant_first_day_app_cost
,sum(event_credit_grant_first_day_app_ratio) as           event_credit_grant_first_day_app_ratio
,sum(event_credit_grant_first_day_landing_page) as           event_credit_grant_first_day_landing_page
,sum(event_credit_grant_first_day_landing_page_cost) as           event_credit_grant_first_day_landing_page_cost
,sum(event_credit_grant_first_day_landing_page_ratio) as           event_credit_grant_first_day_landing_page_ratio
,sum(event_making_calls) as           event_making_calls
,sum(event_making_calls_cost) as           event_making_calls_cost
,sum(event_making_calls_ratio) as           event_making_calls_ratio
,sum(event_order_submit) as           event_order_submit
,sum(event_pay_purchase_amount_one_day) as           event_pay_purchase_amount_one_day
,sum(event_pay_purchase_amount_one_day_by_conversion_roi) as           event_pay_purchase_amount_one_day_by_conversion_roi
,sum(event_pay_purchase_amount_one_day_roi) as           event_pay_purchase_amount_one_day_roi
,sum(event_pay_purchase_amount_three_day_by_conversion) as           event_pay_purchase_amount_three_day_by_conversion
,sum(event_pay_purchase_amount_three_day_by_conversion_roi) as           event_pay_purchase_amount_three_day_by_conversion_roi
,sum(event_pay_purchase_amount_week_by_conversion) as           event_pay_purchase_amount_week_by_conversion
,sum(event_pay_purchase_amount_week_by_conversion_roi) as           event_pay_purchase_amount_week_by_conversion_roi
,sum(event_pay_week_by_conversion) as           event_pay_week_by_conversion
,sum(event_pay_week_by_conversion_cost) as           event_pay_week_by_conversion_cost
,sum(event_pay_weighted_purchase_amount) as           event_pay_weighted_purchase_amount
,sum(event_pay_weighted_purchase_amount_first_day) as           event_pay_weighted_purchase_amount_first_day
,sum(event_pre_component_consultation_valid_retained) as           event_pre_component_consultation_valid_retained
,sum(event_three_day_stay_by_conversion) as           event_three_day_stay_by_conversion
,sum(event_three_day_stay_by_conversion_cost) as           event_three_day_stay_by_conversion_cost
,sum(event_three_day_stay_by_conversion_ratio) as           event_three_day_stay_by_conversion_ratio
,sum(event_wechat_qr_code_link_click) as           event_wechat_qr_code_link_click
,sum(event_week_stay_by_conversion) as           event_week_stay_by_conversion
,sum(event_week_stay_by_conversion_cost) as           event_week_stay_by_conversion_cost
,sum(event_week_stay_by_conversion_ratio) as           event_week_stay_by_conversion_ratio
,sum(live_event_goods_view) as           live_event_goods_view
,sum(live_played_3s) as           live_played_3s
,sum(played_end) as           played_end
,sum(played_five_seconds) as           played_five_seconds
,sum(played_three_seconds) as           played_three_seconds
,sum(event_next_day_stay_new) as           event_next_day_stay_new
,sum(event_next_day_stay_new_cost) as           event_next_day_stay_new_cost
,sum(event_next_day_stay_new_ratio) as           event_next_day_stay_new_ratio
,sum(ad_show) as           ad_show
,sum(event_credit_card_recheck) as           event_credit_card_recheck
,sum(event_credit_card_recheck_first_day) as           event_credit_card_recheck_first_day
,sum(event_no_intention) as           event_no_intention
,sum(event_multi_pay_seven_day_by_conversion) as           event_multi_pay_seven_day_by_conversion
,sum(event_multi_pay_seven_day_by_conversion_cost) as           event_multi_pay_seven_day_by_conversion_cost
,sum(mcb_left_time_perf_cpa_bid) as           mcb_left_time_perf_cpa_bid
,sum(mcb_left_time_perf_roi_ratio) as           mcb_left_time_perf_roi_ratio
,sum(mcb_all_day_perf_cpa_bid) as           mcb_all_day_perf_cpa_bid
,sum(mcb_all_day_perf_roi_ratio) as           mcb_all_day_perf_roi_ratio
,sum(live_room_avg_played_seconds) as           live_room_avg_played_seconds
,sum(ad_live_share) as           ad_live_share
,sum(ad_live_comment) as           ad_live_comment
,sum(live_played_started) as           live_played_started
,sum(live_played_started_cost) as           live_played_started_cost
,sum(ad_live_follow) as           ad_live_follow
,sum(ad_live_follow_cost) as           ad_live_follow_cost
,sum(simple_live_played_started) as           simple_live_played_started
,sum(standard_live_played_started) as           standard_live_played_started
,sum(conversion_component_impression) as           conversion_component_impression
,sum(conversion_component_click) as           conversion_component_click
,sum(conversion_component_rate) as           conversion_component_rate
,sum(ad_landing_page_impression) as           ad_landing_page_impression
,sum(ad_app_download_half_impression) as           ad_app_download_half_impression
from 
 media_api.kuaishou_account_report_hourly a
 where stat_date={stat_date}
group by advertiser_id) report
LEFT JOIN (
SELECT
cua.account_id id,
cua.account_id account_id,
cp.id project_id,
product.id product_id,
ca.id advertiser_id,
uc.company_id company_id,
cua.auth_name account_name,
cp.project_name project_name,
ca.`name` advertiser_name,
uc.company_name company_name,
cp.sale_id sale_id,
su.id user_id,
su.leader_id,
su.org_code org_code
FROM
`jeecg-boot`.ctop_user_allocation cua
LEFT JOIN `jeecg-boot`.ctop_project cp ON cua.project_id = cp.id
LEFT JOIN `jeecg-boot`.ctop_advertiser ca ON ca.id = cua.advertiser_id
LEFT JOIN `jeecg-boot`.sys_user su ON su.id = cua.user_id
LEFT JOIN `jeecg-boot`.user_company uc ON uc.user_id = cua.user_id
LEFT JOIN `jeecg-boot`.ctop_product product ON product.id = cp.product_id
WHERE
cua.account_id IS NOT NULL) bei 
ON report.account_id = bei.account_id;
            """.format(stat_date=self.stat_date)
            print(sql)
            TidbConn.upsert(conn=self.conn, sql_buff=sql)
            self.conn.commit()
            TidbConn.conn_close(conn=self.conn)
            return 0
        except Exception as e:
            logging.error(e)
            return -1


if __name__ == '__main__':
    status = AccountHourlySumToDayReport().hourly_sum_report()
    if status == 0:
        print("作业执行成功")
        exit(0)
    else:
        print("作业执行失败")
        exit(-1)
